Bug 1387322 - Redundant "dhcp" command in the iPXE scripts slows down and may actually break the boot
Summary: Redundant "dhcp" command in the iPXE scripts slows down and may actually brea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Dmitry Tantsur
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-20 15:55 UTC by Dmitry Tantsur
Modified: 2016-12-14 16:23 UTC (History)
8 users (show)

Fixed In Version: openstack-ironic-6.2.1-4.el7ost puppet-ironic-9.4.1-1.el7ost
Doc Type: Bug Fix
Doc Text:
This release removes a redundant 'dhcp' command from the iPXE templates for deployment and introspection. In some cases, this redundant command caused an incorrect interface to receive an IP address.
Clone Of:
Environment:
Last Closed: 2016-12-14 16:23:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 392552 None None None 2016-11-18 15:09:03 UTC
OpenStack gerrit 392556 None None None 2016-11-18 15:09:28 UTC
Launchpad 1635191 None None None 2016-10-20 15:55:17 UTC

Description Dmitry Tantsur 2016-10-20 15:55:17 UTC
For quite some time I was wondering why we need "dhcp" in both introspection and deployment iPXE scripts. By this moment we obviously already have an IP address, so this just slows down everything.

However, today I've found an environment where this command is breaking introspection. It turns out that it uses the first NIC unconditionally, thus breaking fetching images from the second NIC.

I suggest removing this command.

Comment 1 Dmitry Tantsur 2016-11-18 15:09:04 UTC
Somehow, I've lost track of this bug. It's fixed.

Comment 3 Jon Schlueter 2016-11-18 18:01:28 UTC
https://review.openstack.org/#/c/392556/ is in puppet-ironic-9.4.1-1.el7ost
https://review.openstack.org/#/c/392552/ is in openstack-ironic-6.2.1-4.el7ost

Comment 7 errata-xmlrpc 2016-12-14 16:23:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.